Bug 1792460 - Review Request: php-laminas-test - Laminas Framework Test component
Summary: Review Request: php-laminas-test - Laminas Framework Test component
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1792281 1792459
Blocks: 1792461
TreeView+ depends on / blocked
 
Reported: 2020-01-17 16:47 UTC by Remi Collet
Modified: 2020-01-27 14:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-27 14:36:42 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2020-01-17 16:47:02 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/laminas/php-laminas-test.git/plain/php-laminas-test.spec?id=595a073aaa900d63f6e2f77f0e46b0456e60450c
SRPM URL: http://rpms.remirepo.net/SRPMS/php-laminas-test-3.3.0-2.remi.src.rpm
Description: 
The Laminas\Test component provides tools to facilitate unit testing of your
Laminas Framework applications. At this time, we offer facilities to enable
testing of your Laminas Framework MVC applications.

PHPUnit is the only library supported currently.

Documentation: https://docs.laminas.dev/laminas-test/



Fedora Account System Username: remi

Comment 1 Robert-André Mauchin 2020-01-24 22:02:09 UTC
 - Fix changelog entries:

Version:        3.3.0
Release:        3%{?dist}

[…]

* Thu Jan 16 2020 Remi Collet <remi@remirepo.net> - 3.3.0-3
- only load phpunit-class-aliases if PHPUnit loaded

* Thu Jan 16 2020 Remi Collet <remi@remirepo.net> - 3.3.0-2
- switch to Laminas

* Wed Jun 12 2019 Remi Collet <remi@remirepo.net> - 3.3.0-1
- update to 3.3.0
- allow phpunit8


 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Tests are ok
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Gwyn Ciesla 2020-01-25 14:25:14 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-laminas-test

Comment 3 Remi Collet 2020-01-27 14:36:42 UTC
thanks

built


Note You need to log in before you can comment on or make changes to this bug.